Runtime

## org.eclipse.gmf.runtime.common.ui.dialogs
Class SelectedType

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.util.EnumeratedType
          org.eclipse.gmf.runtime.common.ui.dialogs.SelectedType

All Implemented Interfaces:
  java.io.Serializable

public class SelectedType
extends EnumeratedType

Describes how a `SelectableElement` is selected. This is either selected, unselected, or leave.

See Also:
  Serialized Form

Field Summary
`static SelectedType` `LEAVE` The element was neither selected nor unselected
`static SelectedType` `SELECTED` The element was selected.
`static SelectedType` `UNSELECTED` The element was unselected.

Constructor Summary
`protected` `SelectedType(java.lang.String name, int ordinal)` Constructs a new model type with the specified name and ordinal.

Method Summary
`protected java.util.List` `getValues()` Retrieves the list of constants for this enumerated type.

Methods inherited from class org.eclipse.gmf.runtime.common.core.util.EnumeratedType
`equals, getName, getOrdinal, hashCode, readResolve, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### SELECTED

    public static final SelectedType SELECTED

  The element was selected.

### UNSELECTED

    public static final SelectedType UNSELECTED

  The element was unselected.

### LEAVE

    public static final SelectedType LEAVE

  The element was neither selected nor unselected

Constructor Detail

### SelectedType

    protected SelectedType(java.lang.String name,
                           int ordinal)

  Constructs a new model type with the specified name and ordinal.

Parameters:
  `name` - The name of the new model type.
  `ordinal` - The ordinal for the new model type.

Method Detail

### getValues

    protected java.util.List getValues()

  Retrieves the list of constants for this enumerated type.

  Specified by:
    `getValues` in class `EnumeratedType`
  Returns:
    The list of constants for this enumerated type.
  See Also:
    `EnumeratedType.getValues()`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.